// Flex
.display-flex {
  display: flex;
}

.display-inline-flex {
  display: inline-flex;
}

.layout-row {
  display: flex;
  flex-direction: row;
}

.layout-column {
  display: flex;
  flex-direction: column;
}

.layout-column--sm {
  @include respondto(tablet) {
    flex-direction: column;
  }
}

.align-items-start {
  align-items: flex-start;
}

.align-items-end {
  align-items: flex-end;
}

.align-items-center {
  align-items: center;
}

.align-items-stretch {
  align-items: stretch;
}

.align-items-baseline {
  align-items: baseline;
}

.align-self-center {
  align-self: center;
}

.align-self-end {
  align-self: center;
}

.justify-content-between {
  justify-content: space-between;
}

.justify-content-center {
  justify-content: center;
}

.justify-content-start {
  justify-content: flex-start;
}

.justify-content-end {
  justify-content: flex-end;
}

.justify-content-around {
  justify-content: space-around;
}

.justify-content-between--xs {
  @include respondto(phone) {
    justify-content: space-between;
  }
}

.flex-wrap--xs {
  @include respondto(phone) {
    flex-wrap: wrap;
  }
}

.flex-wrap {
  flex-wrap: wrap;
}

.flex-basis {
  flex-basis: 50%;
}
.flex-auto {
  flex: 1 1 auto;
}

.flex-half {
  width: 50%;

  @include respondto(phone) {
    width: 100%;
  }
}

/*------------------------------------------------------------------
Mobile
------------------------------------------------------------------*/

.layout-row--xs {
  @include respondto(phone) {
    flex-direction: row;
  }
}

.layout-column--xs {
  @include respondto(phone) {
    flex-direction: column;
  }
}

.justify-content-center--xs {
  @include respondto(phone) {
    justify-content: center;
  }
}

.justify-content-left--xs {
  @include respondto(phone) {
    justify-content: left;
  }
}

.justify-content-center--sm {
  @include respondto(tablet) {
    justify-content: center;
  }
}

.align-items-center--xs {
  @include respondto(phone) {
    align-items: center;
  }
}

.align-items-center--sm {
  @include respondto(tablet) {
    align-items: center;
  }
}

.align-items-initial--xs {
  @include respondto(phone) {
    align-items: initial;
  }
}

.align-items-left--xs {
  @include respondto(phone) {
    align-items: left;
  }
}
.order-1--xs {
  @include respondto(phone) {
    order: 1;
  }
}
.order-2--xs {
  @include respondto(phone) {
    order: 2;
  }
}